Module Module1

    Public WithEvents Testcash As OposCashDrawer_1_9_Lib.OPOSCashDrawer

    Sub Main()


        Dim rc As Object
        'Cash Drawer
        Testcash = CreateObject("OPOS.CashDrawer")
        If Testcash = "cashdrawer" Then

            ' Se puede utilizar su propia convencion de nombres, este es solamente el que se utilizo para el demo. 
            rc = Testcash.Open("cashdrawer")
            ' cashdrawer es como se nombro el dispositivo en la Suite de configuracion del POS. 

            ' Si no coincide el nombre cashdrawer con el nombre configurado, entonces el programa tratara de hablar con un dispositivo que no existe. 
            rc = Testcash.Claim(1000) ' Esto se configura en 1000, pero se puede reducir

            Testcash.DeviceEnabled = 1 ' Se deja el estatus del cajon abierto. 
            Testcash.OpenDrawer()

            rc = Testcash.Close()
            ' Siempre se deben dejar cerrados los dispositivos antes de salir. 
            ' Si no se hace de esta forma, se quedaran los Objetos OLE y OPOS en un estados desconocido


        Else

            Exit Sub

        End If



        
    End Sub

End Module
